import request from '@/utils/request'

// 查询项目申请列表
export function listProjectApply(query) {
  return request({
    url: '/project/projectApply/list',
    method: 'get',
    params: query
  })
}

// 查询项目申请详细
export function getProjectApply(id) {
  return request({
    url: '/project/projectApply/' + id,
    method: 'get'
  })
}

// 新增项目申请
export function addProjectApply(data) {
  return request({
    url: '/project/projectApply',
    method: 'post',
    data: data
  })
}

// 修改项目申请
export function updateProjectApply(data) {
  return request({
    url: '/project/projectApply',
    method: 'put',
    data: data
  })
}

// 删除项目申请
export function delProjectApply(id) {
  return request({
    url: '/project/projectApply/' + id,
    method: 'delete'
  })
}
